net.sourceforge.pmd.lang.java.ast

## Interface CanSuppressWarnings

All Known Implementing Classes:
  ASTClassOrInterfaceBodyDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTResource, ASTTypeDeclaration

    public interface CanSuppressWarnings

### Method Summary

Methods
`boolean` `hasSuppressWarningsAnnotationFor(Rule rule)`

### Method Detail

#### hasSuppressWarningsAnnotationFor

    boolean hasSuppressWarningsAnnotationFor(Rule rule)